Package com.ocient.rest.exceptionMappers

# Class ErrorResponse

java.lang.Object
com.ocient.rest.exceptionMappers.ErrorResponse

public class ErrorResponse extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ErrorResponse.Error`

## Field Summary

Fields
Modifier and Type
Field
Description
`List<ErrorResponse.Error>`
`errors`

## Method Summary

Modifier and Type
Method
Description
`static ErrorResponse`
`fromErrorMessages(String... errorMessages)`
`static ErrorResponse`
`fromErrorMessages(Stream<String> errorMessages)`
`static ErrorResponse`
`fromThrowables(Throwable... throwables)`
`static ErrorResponse`
`fromThrowables(Stream<Throwable> throwables)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### errors

public List<ErrorResponse.Error> errors

## Method Details

### fromThrowables

public static ErrorResponse fromThrowables(Throwable... throwables)

### fromThrowables

public static ErrorResponse fromThrowables(Stream<Throwable> throwables)

### fromErrorMessages

public static ErrorResponse fromErrorMessages(String... errorMessages)

### fromErrorMessages

public static ErrorResponse fromErrorMessages(Stream<String> errorMessages)